Reference
Config change history
Revisions of a pack / routine / rule (type config_pack | routine | automation_rule), newest first.
View MarkdownThis page is generated from the source code on every release.
Revisions of a pack / routine / rule (type config_pack | routine | automation_rule), newest first.
Overview
| Name | Value |
|---|---|
| Code | automation.history |
| New code (v2) | automations.history |
| Scope needed | accounts.read |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
Needs Idempotency-Key |
No |
| Member roles allowed | owner, manager |
| In the app | Automation → Change history |
Input fields
| Field | Type | Required | Description |
|---|---|---|---|
type |
"config_pack" | "routine" | "automation_rule" |
Yes | |
id |
uuid |
Yes |
Example request
curl -X POST https://tlg.builera.app/api/public/v2/ops/automation.history \
-H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"type":"config_pack","id":"00000000-0000-0000-0000-000000000000"}'Output fields (data)
| Field | Type | Required |
|---|---|---|
revisions |
object[] |
Yes |
Example answer
{
"data": {
"revisions": [
{
"revision": 1,
"summary": "text",
"actor": "text",
"createdAt": "2026-10-22T12:00:00.000Z"
}
]
}
}Using it over MCP
Not listed on any profile: call tools_describe then tools_run with code: "automation.history". Tool name when listed: automation_history.